/**
 * 新增修改完成调用 modalFormOk方法 编辑弹框组件ref定义为modalForm
 * 高级查询按钮调用 superQuery方法  高级查询组件ref定义为superQueryModal
 * data中url定义 list为查询列表  delete为删除单条记录  deleteBatch为批量删除
 */
import { getDetaie } from '@/api/request'

export const detaileMixin = {
  data() {
    return {
      model: {}
    }
  },
  created() {
  },
  computed: {},
  methods: {
    getDetaile(id) {
      getDetaie(this.url.detaile, id).then((res) => {
        if (res.code === 200) {
          this.model = res.info
          if (this.model.pics) {
            this.model.pics = this.setPicsStr(this.model.pics)
          } else {
            this.model.pics = []
          }
        } else {
          this.$message.warning(res.msg)
        }
      })
    }
  }
}
